Package com.tietoenator.trip.jxp.session

# Enum Class TdbNotificationType

java.lang.Object
java.lang.Enum<TdbNotificationType>
com.tietoenator.trip.jxp.session.TdbNotificationType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbNotificationType>`, `Constable`

public enum TdbNotificationType extends Enum<TdbNotificationType>
Enumeration containing the notification types supported by this library.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  All notification types.
  `COMFORTER`
  Comforter signaling for lengthy search and sort operations.
  `GRAPH_ANALYSIS`
  Comforter signaling for graph path analysis operations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbNotificationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbNotificationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMFORTER

    public static final TdbNotificationType COMFORTER
    Comforter signaling for lengthy search and sort operations.

  - ### GRAPH_ANALYSIS

    public static final TdbNotificationType GRAPH_ANALYSIS
    Comforter signaling for graph path analysis operations.

  - ### ALL

    public static final TdbNotificationType ALL
    All notification types.

- ## Method Details

  - ### values

    public static TdbNotificationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbNotificationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null